Package: groovy.org.codenarc.rule.naming

## [Groovy] Class MethodNameRule

- groovy.org.codenarc.rule.naming.MethodNameRule

- Rule that verifies that the name of each method matches a regular expression. By default it checks that the method name starts with a lowercase letter. Implicit method names are ignored (i.e., 'main' and 'run' methods automatically created for Groovy scripts).

  The `regex` property specifies the regular expression to check the method name against. It is required and cannot be null or empty. It defaults to '[a-z]\w*'.

  The `ignoreMethodNames` property optionally specifies one or more (comma-separated) method names that should be ignored (i.e., that should not cause a rule violation). The name(s) may optionally include wildcard characters ('*' or '?').
  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `ignoreMethodNames`
    `String` | `name`
    `int` | `priority`
    `String` | `regex`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String ignoreMethodNames

    - #### String name

    - #### int priority

    - #### String regex